using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationTRTAMI
{
    public class TRTAMI2023
    {

        public bool RpCollectionExists = false;
        public int RpCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP
        /// TRTAMI:pyin.02.37:Report.TargetFinancial.Year
        /// </summary>
        public int? TRTAMI1 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP
        /// TRTAMI:pyin.02.00:Period.Start.Date
        /// </summary>
        public DateTime? TRTAMI2 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP
        /// TRTAMI:pyin.02.00:Period.End.Date
        /// </summary>
        public DateTime? TRTAMI3 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP
        /// TRTAMI:pyid.02.00:Identifiers.TaxFileNumber.Identifier
        /// </summary>
        public string TRTAMI4 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP
        /// TRTAMI:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string TRTAMI5 = null;

        public bool RP_ReportAmendmentDetailsCollectionExists = false;
        public int RP_ReportAmendmentDetailsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ReportAmendmentDetails
        /// TRTAMI:pyin.02.28:Report.Amendment.Indicator
        /// </summary>
        public bool? TRTAMI6 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ReportAmendmentDetails
        /// TRTAMI:pyin.02.08:Report.AmendmentType.Code
        /// </summary>
        public string TRTAMI7 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ReportAmendmentDetails
        /// TRTAMI:pyin.02.08:Report.AmendmentReason.Text
        /// </summary>
        public string TRTAMI8 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ReportAmendmentDetails
        /// TRTAMI:pyin.02.08:Report.AmendmentSequence.Number
        /// </summary>
        public decimal? TRTAMI9 = null;

        public bool RP_CurrentTrustCollectionExists = false;
        public int RP_CurrentTrustCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CurrentTrust
        /// TRTAMI:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string TRTAMI10 = null;

        public bool RP_CurrentTrust_CurrentPostalAddressDetailsCollectionExists = false;
        public int RP_CurrentTrust_CurrentPostalAddressDetailsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CurrentTrust/:CurrentPostalAddressDetails
        /// TRTAMI:pyde.02.00:AddressDetails.Line1.Text
        /// </summary>
        public string TRTAMI12 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CurrentTrust/:CurrentPostalAddressDetails
        /// TRTAMI:pyde.02.00:AddressDetails.Line2.Text
        /// </summary>
        public string TRTAMI13 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CurrentTrust/:CurrentPostalAddressDetails
        /// TRTAMI:pyde.02.00:AddressDetails.LocalityName.Text
        /// </summary>
        public string TRTAMI14 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CurrentTrust/:CurrentPostalAddressDetails
        /// TRTAMI:pyde.02.00:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string TRTAMI15 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CurrentTrust/:CurrentPostalAddressDetails
        /// TRTAMI:pyde.02.00:AddressDetails.Postcode.Text
        /// </summary>
        public string TRTAMI16 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CurrentTrust/:CurrentPostalAddressDetails
        /// TRTAMI:pyde.02.08:AddressDetails.Country.Code
        /// </summary>
        public string TRTAMI17 = null;

        public bool RP_PreviousTrustCollectionExists = false;
        public int RP_PreviousTrustCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:PreviousTrust
        /// TRTAMI:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string TRTAMI11 = null;

        public bool RP_PreviousTrust_PreviousPostalAddressDetailsCollectionExists = false;
        public int RP_PreviousTrust_PreviousPostalAddressDetailsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:PreviousTrust/:PreviousPostalAddressDetails
        /// TRTAMI:pyde.02.00:AddressDetails.Line1.Text
        /// </summary>
        public string TRTAMI18 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:PreviousTrust/:PreviousPostalAddressDetails
        /// TRTAMI:pyde.02.00:AddressDetails.Line2.Text
        /// </summary>
        public string TRTAMI19 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:PreviousTrust/:PreviousPostalAddressDetails
        /// TRTAMI:pyde.02.00:AddressDetails.LocalityName.Text
        /// </summary>
        public string TRTAMI20 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:PreviousTrust/:PreviousPostalAddressDetails
        /// TRTAMI:pyde.02.00:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string TRTAMI21 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:PreviousTrust/:PreviousPostalAddressDetails
        /// TRTAMI:pyde.02.00:AddressDetails.Postcode.Text
        /// </summary>
        public string TRTAMI22 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:PreviousTrust/:PreviousPostalAddressDetails
        /// TRTAMI:pyde.02.08:AddressDetails.Country.Code
        /// </summary>
        public string TRTAMI23 = null;

        public bool RP_TrusteeDetailsCollectionExists = false;
        public int RP_TrusteeDetailsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrusteeDetails
        /// TRTAMI:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string TRTAMI28 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrusteeDetails
        /// TRTAMI:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string TRTAMI29 = null;

        public bool RP_TrusteeDetails_PersonNameDetailsCollectionExists = false;
        public int RP_TrusteeDetails_PersonNameDetailsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrusteeDetails/:PersonNameDetails
        /// TRTAMI:pyde.02.00:PersonNameDetails.Title.Text
        /// </summary>
        public string TRTAMI24 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrusteeDetails/:PersonNameDetails
        /// TRTAMI:pyde.02.00:PersonNameDetails.FamilyName.Text
        /// </summary>
        public string TRTAMI25 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrusteeDetails/:PersonNameDetails
        /// TRTAMI:pyde.02.00:PersonNameDetails.GivenName.Text
        /// </summary>
        public string TRTAMI26 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrusteeDetails/:PersonNameDetails
        /// TRTAMI:pyde.02.00:PersonNameDetails.OtherGivenName.Text
        /// </summary>
        public string TRTAMI27 = null;

        public bool RP_TrusteeDetails_PersonNameDetails_ElectronicContactDetailsCollectionExists = false;
        public int RP_TrusteeDetails_PersonNameDetails_ElectronicContactDetailsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrusteeDetails/:PersonNameDetails/:ElectronicContactDetails
        /// TRTAMI:pyde.02.00:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string TRTAMI30 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrusteeDetails/:PersonNameDetails/:ElectronicContactDetails
        /// TRTAMI:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string TRTAMI31 = null;

        public bool RP_TrusteeLiabilitiesCollectionExists = false;
        public int RP_TrusteeLiabilitiesCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrusteeLiabilities
        /// TRTAMI:rvctc1.02.24:IncomeTax.TrustComponentDeficitOffset.Amount
        /// </summary>
        public decimal? TRTAMI35 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrusteeLiabilities
        /// TRTAMI:rvctc1.02.24:IncomeTax.TrustShortfallIncome.Amount
        /// </summary>
        public decimal? TRTAMI36 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrusteeLiabilities
        /// TRTAMI:rvctc1.02.24:IncomeTax.TrustExcessOffset.Amount
        /// </summary>
        public decimal? TRTAMI39 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrusteeLiabilities
        /// TRTAMI:rvctc1.02.24:IncomeTax.TrustComponentNotReflected.Amount
        /// </summary>
        public decimal? TRTAMI40 = null;

        public bool RP_FinancialInstitutionAccountCollectionExists = false;
        public int RP_FinancialInstitutionAccountCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:FinancialInstitutionAccount
        /// TRTAMI:pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number
        /// </summary>
        public string TRTAMI41 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:FinancialInstitutionAccount
        /// TRTAMI:pyid.02.20:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
        /// </summary>
        public string TRTAMI42 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:FinancialInstitutionAccount
        /// TRTAMI:pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
        /// </summary>
        public string TRTAMI43 = null;

        public bool RP_TrustDetailsCollectionExists = false;
        public int RP_TrustDetailsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrustDetails
        /// TRTAMI:pyde.02.43:OrganisationDetails.SignificantGlobalEntityStatus.Indicator
        /// </summary>
        public bool? TRTAMI162 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrustDetails
        /// TRTAMI:rvctc4.02.17:InternationalDealings.CountryByCountryReportingEntityStatus.Indicator
        /// </summary>
        public bool? TRTAMI163 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrustDetails
        /// TRTAMI:pyde.02.05:OrganisationDetails.MainIncomeActivity.Description
        /// </summary>
        public string TRTAMI44 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrustDetails
        /// TRTAMI:pyde.02.48:OrganisationDetails.OrganisationIndustry2006Extended.Code
        /// </summary>
        public string TRTAMI45 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrustDetails
        /// TRTAMI:rvctc4.02.10:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
        /// </summary>
        public bool? TRTAMI47 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrustDetails
        /// TRTAMI:bafpo6.02.15:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
        /// </summary>
        public bool? TRTAMI48 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrustDetails
        /// TRTAMI:bafpr1.02.05:Expense.Interest.Amount
        /// </summary>
        public decimal? TRTAMI49 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrustDetails
        /// TRTAMI:bafpr1.02.27:Expense.Royalties.Amount
        /// </summary>
        public decimal? TRTAMI50 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrustDetails
        /// TRTAMI:rvctc4.02.11:InternationalDealings.TransactionsWithTaxHavenCountries.Indicator
        /// </summary>
        public bool? TRTAMI137 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:TrustDetails
        /// TRTAMI:rvctc4.02.11:InternationalDealings.TransactionControlTaxHavenCountries.Indicator
        /// </summary>
        public bool? TRTAMI138 = null;

        public bool RP_KeyFinancialInformationCollectionExists = false;
        public int RP_KeyFinancialInformationCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:KeyFinancialInformation
        /// TRTAMI:bafpo1.02.00:Assets.CurrentTotal.Amount
        /// </summary>
        public decimal? TRTAMI57 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:KeyFinancialInformation
        /// TRTAMI:bafpo1.02.13:Assets.Total.Amount
        /// </summary>
        public decimal? TRTAMI58 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:KeyFinancialInformation
        /// TRTAMI:bafpo1.02.00:Liabilities.CurrentTotal.Amount
        /// </summary>
        public decimal? TRTAMI59 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:KeyFinancialInformation
        /// TRTAMI:bafpo1.02.13:Liabilities.Total.Amount
        /// </summary>
        public decimal? TRTAMI60 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:KeyFinancialInformation
        /// TRTAMI:bafpr1.02.10:Income.TrustEstateIncome.Amount
        /// </summary>
        public decimal? TRTAMI73 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:KeyFinancialInformation
        /// TRTAMI:bafpr1.02.44:Income.AggregatedTurnoverRange.Code
        /// </summary>
        public string TRTAMI160 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:KeyFinancialInformation
        /// TRTAMI:bafpr1.02.44:Income.AggregatedTurnover.Amount
        /// </summary>
        public decimal? TRTAMI161 = null;

        public bool RP_MultiClassTreatmentCollectionExists = false;
        public int RP_MultiClassTreatmentCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:MultiClassTreatment
        /// TRTAMI:rvctc1.02.20:IncomeTax.MultiClassTreatment.Indicator
        /// </summary>
        public bool? TRTAMI102 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:MultiClassTreatment
        /// TRTAMI:rvctc1.02.20:IncomeTax.MultiClassTreatment.Count
        /// </summary>
        public decimal? TRTAMI103 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:MultiClassTreatment
        /// TRTAMI:rvctc1.02.22:IncomeTax.MultiClassTransfer.Indicator
        /// </summary>
        public bool? TRTAMI104 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP
        /// TRTAMI:rvctc3.02.24:Elections.ManagedInvestmentTrusts.Indicator
        /// </summary>
        public bool? TRTAMI32 = null;

        public bool RP_IncomeTaxStapledEntitiesCollectionExists = false;
        public int RP_IncomeTaxStapledEntitiesCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:IncomeTaxStapledEntities
        /// TRTAMI:rvctc1.02.20:IncomeTax.AttributionManagedInvestmentTrustStapledStructure.Indicator
        /// </summary>
        public bool? TRTAMI112 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:IncomeTaxStapledEntities
        /// TRTAMI:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public List<string> TRTAMI139Collection = null;

        public bool RP_CapitalAllowancesCollectionExists = false;
        public int RP_CapitalAllowancesCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CapitalAllowances
        /// TRTAMI:rvctc2.02.36:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssetsOptOut.Code
        /// </summary>
        public string TRTAMI164 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CapitalAllowances
        /// TRTAMI:rvctc2.02.36:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssetsOptOut.Number
        /// </summary>
        public decimal? TRTAMI153 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CapitalAllowances
        /// TRTAMI:rvctc2.02.36:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssetsOptOut.Amount
        /// </summary>
        public decimal? TRTAMI154 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CapitalAllowances
        /// TRTAMI:rvctc2.02.36:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssets.Amount
        /// </summary>
        public decimal? TRTAMI155 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CapitalAllowances
        /// TRTAMI:rvctc2.02.36:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssets.Number
        /// </summary>
        public decimal? TRTAMI156 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CapitalAllowances
        /// TRTAMI:bafpo7.02.22:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator
        /// </summary>
        public bool? TRTAMI63 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CapitalAllowances
        /// TRTAMI:bafpo7.02.22:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeRecalculation.Indicator
        /// </summary>
        public bool? TRTAMI64 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CapitalAllowances
        /// TRTAMI:bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount
        /// </summary>
        public decimal? TRTAMI118 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CapitalAllowances
        /// TRTAMI:bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
        /// </summary>
        public decimal? TRTAMI71 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:CapitalAllowances
        /// TRTAMI:bafpr1.02.02:Expense.CapitalWorksDeduction.Amount
        /// </summary>
        public decimal? TRTAMI140 = null;

        public bool RP_WithholdingObligationsCollectionExists = false;
        public int RP_WithholdingObligationsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:WithholdingObligations
        /// TRTAMI:bafpr1.02.29:Expense.DividendInterestRoyalty.Amount
        /// </summary>
        public decimal? TRTAMI121 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:WithholdingObligations
        /// TRTAMI:bafpr1.02.13:Income.TrustDistributions.Amount
        /// </summary>
        public decimal? TRTAMI108 = null;

        public bool RP_DebtLikeTrustInstrumentsCollectionExists = false;
        public int RP_DebtLikeTrustInstrumentsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:DebtLikeTrustInstruments
        /// TRTAMI:bafpr1.02.29:Expense.ReturnsPaidDeduction.Amount
        /// </summary>
        public decimal? TRTAMI111 = null;

        public bool RP_Division6CAmountsCollectionExists = false;
        public int RP_Division6CAmountsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Division6CAmounts
        /// TRTAMI:rvctc2.02.17:IncomeTax.Deduction.EligibleInvestmentBusiness.Code
        /// </summary>
        public string TRTAMI113 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Division6CAmounts
        /// TRTAMI:rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount
        /// </summary>
        public decimal? TRTAMI114 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Division6CAmounts
        /// TRTAMI:rvctc1.02.20:IncomeTax.RentalSafeHarbour.Indicator
        /// </summary>
        public bool? TRTAMI116 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Division6CAmounts
        /// TRTAMI:rvctc1.02.20:IncomeTax.EligibleInvestmentBusinessSafeHarbour.Indicator
        /// </summary>
        public bool? TRTAMI115 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Division6CAmounts
        /// TRTAMI:rvctc2.02.19:IncomeTax.Deduction.NonEligibleInvestmentBusinessPercentage.Code
        /// </summary>
        public string TRTAMI141 = null;

        public bool RP_RelatedEntitiesPaymentsCollectionExists = false;
        public int RP_RelatedEntitiesPaymentsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:RelatedEntitiesPayments
        /// TRTAMI:rvctc1.02.22:IncomeTax.AttributionManagedInvestmentTrustRelatedEntitiesPayment.Indicator
        /// </summary>
        public bool? TRTAMI117 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:RelatedEntitiesPayments
        /// TRTAMI:rvctc1.02.24:IncomeTax.RelatedEntitiesPaymentsReceived.Amount
        /// </summary>
        public decimal? TRTAMI142 = null;

        public bool RP_OtherReportingInformationCollectionExists = false;
        public int RP_OtherReportingInformationCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:OtherReportingInformation
        /// TRTAMI:pyin.02.00:Report.Statement.Summary.PaymentRefundOrNil.Code
        /// </summary>
        public string TRTAMI33 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:OtherReportingInformation
        /// TRTAMI:pyin.02.28:Lodgment.FinalReturn.Indicator
        /// </summary>
        public bool? TRTAMI34 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:OtherReportingInformation
        /// TRTAMI:bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text
        /// </summary>
        public string TRTAMI101 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:OtherReportingInformation
        /// TRTAMI:pyin.02.23:Report.CompletionHours.Number
        /// </summary>
        public decimal? TRTAMI74 = null;

        public bool RP_StatementOfAttributionDetailsCollectionExists = false;
        public int RP_StatementOfAttributionDetailsCollectionCount = 0;

        public List<RP_StatementOfAttributionDetails> RP_StatementOfAttributionDetailsCollection = null;

        public class RP_StatementOfAttributionDetails
        {
            public int OccurrenceIndex = 0;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails
            /// TRTAMI:pyid.02.00:Identifiers.TaxFileNumber.Identifier
            /// </summary>
            public string TRTAMI75 = null;

            public bool RP_StatementOfAttributionDetails_IndividualPersonNameDetailsCollectionExists = false;
            public int RP_StatementOfAttributionDetails_IndividualPersonNameDetailsCollectionCount = 0;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:IndividualPersonNameDetails
            /// TRTAMI:pyde.02.00:PersonNameDetails.Title.Text
            /// </summary>
            public string TRTAMI76 = null;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:IndividualPersonNameDetails
            /// TRTAMI:pyde.02.00:PersonNameDetails.FamilyName.Text
            /// </summary>
            public string TRTAMI77 = null;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:IndividualPersonNameDetails
            /// TRTAMI:pyde.02.00:PersonNameDetails.GivenName.Text
            /// </summary>
            public string TRTAMI78 = null;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:IndividualPersonNameDetails
            /// TRTAMI:pyde.02.00:PersonNameDetails.OtherGivenName.Text
            /// </summary>
            public string TRTAMI79 = null;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:IndividualPersonNameDetails
            /// TRTAMI:pyde.02.00:PersonDemographicDetails.Birth.Date
            /// </summary>
            public DateTime? TRTAMI124 = null;

            public bool RP_StatementOfAttributionDetails_IndividualPersonNameDetails_IndividualAddressDetailsCollectionExists = false;
            public int RP_StatementOfAttributionDetails_IndividualPersonNameDetails_IndividualAddressDetailsCollectionCount = 0;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:IndividualPersonNameDetails/:IndividualAddressDetails
            /// TRTAMI:pyde.02.00:AddressDetails.Line1.Text
            /// </summary>
            public string TRTAMI125 = null;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:IndividualPersonNameDetails/:IndividualAddressDetails
            /// TRTAMI:pyde.02.00:AddressDetails.Line2.Text
            /// </summary>
            public string TRTAMI126 = null;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:IndividualPersonNameDetails/:IndividualAddressDetails
            /// TRTAMI:pyde.02.00:AddressDetails.LocalityName.Text
            /// </summary>
            public string TRTAMI127 = null;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:IndividualPersonNameDetails/:IndividualAddressDetails
            /// TRTAMI:pyde.02.27:AddressDetails.PostalCode.Text
            /// </summary>
            public string TRTAMI143 = null;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:IndividualPersonNameDetails/:IndividualAddressDetails
            /// TRTAMI:pyde.02.08:AddressDetails.Country.Code
            /// </summary>
            public string TRTAMI130 = null;

            public bool RP_StatementOfAttributionDetails_NonIndividualDetailsCollectionExists = false;
            public int RP_StatementOfAttributionDetails_NonIndividualDetailsCollectionCount = 0;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:NonIndividualDetails
            /// TRTAMI:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
            /// </summary>
            public string TRTAMI80 = null;

            public bool RP_StatementOfAttributionDetails_NonIndividualDetails_NonIndividualAddressDetailsCollectionExists = false;
            public int RP_StatementOfAttributionDetails_NonIndividualDetails_NonIndividualAddressDetailsCollectionCount = 0;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:NonIndividualDetails/:NonIndividualAddressDetails
            /// TRTAMI:pyde.02.00:AddressDetails.Line1.Text
            /// </summary>
            public string TRTAMI131 = null;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:NonIndividualDetails/:NonIndividualAddressDetails
            /// TRTAMI:pyde.02.00:AddressDetails.Line2.Text
            /// </summary>
            public string TRTAMI132 = null;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:NonIndividualDetails/:NonIndividualAddressDetails
            /// TRTAMI:pyde.02.00:AddressDetails.LocalityName.Text
            /// </summary>
            public string TRTAMI133 = null;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:NonIndividualDetails/:NonIndividualAddressDetails
            /// TRTAMI:pyde.02.27:AddressDetails.PostalCode.Text
            /// </summary>
            public string TRTAMI144 = null;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:NonIndividualDetails/:NonIndividualAddressDetails
            /// TRTAMI:pyde.02.08:AddressDetails.Country.Code
            /// </summary>
            public string TRTAMI136 = null;

            public bool RP_StatementOfAttributionDetails_AssessmentDetailsCollectionExists = false;
            public int RP_StatementOfAttributionDetails_AssessmentDetailsCollectionCount = 0;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:AssessmentDetails
            /// TRTAMI:rvctc1.02.45:IncomeTax.AssessmentCalculation.Code
            /// </summary>
            public string TRTAMI81 = null;

            /// <summary>
            /// /xbrli:xbrl/:RP/:StatementOfAttributionDetails/:AssessmentDetails
            /// TRTAMI:rvctc4.02.10:InternationalDealings.AssessableIncomeNonResidentBeneficiary.Amount
            /// </summary>
            public decimal? TRTAMI82 = null;
        }

        public bool RP_ContactDetailsCollectionExists = false;
        public int RP_ContactDetailsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ContactDetails
        /// TRTAMI:pyde.02.00:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string TRTAMI94 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ContactDetails
        /// TRTAMI:pyde.02.18:PersonNameDetails.Position.Text
        /// </summary>
        public string TRTAMI95 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ContactDetails
        /// TRTAMI:pyde.02.00:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string TRTAMI96 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ContactDetails
        /// TRTAMI:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string TRTAMI97 = null;

        public bool RP_ContactDetails_DeclarationCollectionExists = false;
        public int RP_ContactDetails_DeclarationCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ContactDetails/:Declaration
        /// TRTAMI:pyin.02.29:Declaration.Signature.Date
        /// </summary>
        public DateTime? TRTAMI98 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ContactDetails/:Declaration
        /// TRTAMI:pyin.02.03:Declaration.StatementType.Code
        /// </summary>
        public string TRTAMI171 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ContactDetails/:Declaration
        /// TRTAMI:pyin.02.28:Declaration.StatementAccepted.Indicator
        /// </summary>
        public bool? TRTAMI99 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ContactDetails/:Declaration
        /// TRTAMI:pyin.02.56:Declaration.SignatoryIdentifier.Text
        /// </summary>
        public string TRTAMI100 = null;

        public bool IntCollectionExists = false;
        public int IntCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:INT
        /// TRTAMI:pyid.02.00:Identifiers.TaxAgentClientReference.Text
        /// </summary>
        public string TRTAMI90 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT
        /// TRTAMI:pyid.02.00:Identifiers.TaxAgentNumber.Identifier
        /// </summary>
        public string TRTAMI91 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT
        /// TRTAMI:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string TRTAMI92 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT
        /// TRTAMI:pyde.02.00:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string TRTAMI83 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT
        /// TRTAMI:pyde.02.18:PersonNameDetails.Position.Text
        /// </summary>
        public string TRTAMI84 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT
        /// TRTAMI:pyde.02.00:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string TRTAMI85 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT
        /// TRTAMI:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string TRTAMI86 = null;

        public bool InT_DeclarationCollectionExists = false;
        public int InT_DeclarationCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:INT/:Declaration
        /// TRTAMI:pyin.02.29:Declaration.Signature.Date
        /// </summary>
        public DateTime? TRTAMI87 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:Declaration
        /// TRTAMI:pyin.02.03:Declaration.StatementType.Code
        /// </summary>
        public string TRTAMI170 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:Declaration
        /// TRTAMI:pyin.02.28:Declaration.StatementAccepted.Indicator
        /// </summary>
        public bool? TRTAMI88 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:Declaration
        /// TRTAMI:pyin.02.56:Declaration.SignatoryIdentifier.Text
        /// </summary>
        public string TRTAMI89 = null;

    }
}
